Post by divilati » Thu Nov 07, 2013 9:02 pm

Hi, Im using this extension for my product feed http://www.opencart.com/index.php?route ... on_id=3138

and i get this error Warning: Illegal string offset 'depth' in /home/buysmart/public_html/catalog/controller/feed/kurpirkt.php on line 117http://buysmart.lv/ http://buysmart.lv/austinas-earpods-app ... -earpods-4 http://buysmart.lv/rokas-pulkstenis-gen ... 80.png6.99(......)

what could be wrong?

line 117: if (!$deepest_cat_id) {
$deepest_cat_id = $category['category_id'];
} else {
if (isset($all_categories[$category['category_id']['depth']]) && ($all_categories[$category['category_id']]['depth'] > $all_categories[$deepest_cat_id]['depth'])) {
$deepest_cat_id = $category['category_id'];

Im using oc 1.5.4

Newbie

Posts

Joined
Thu Jul 04, 2013 8:11 pm
Who is online

Users browsing this forum: No registered users and 3 guests